﻿@model eCommerce.BackOffice.ViewModels.ReportsViewModel

<div class="row">
    <div class="col-xs-12 col-md-12">
        <div class="col-md-4 col-xs-6 animation-scale-up">
            <blockquote class="blockquote blockquote-success">
                <p class="reports">
                    Ventas por web | Cant: @Model.ClosedOrdersDesktop
                </p>
                <p>
                   @Model.OrderDesktopTotalSales.ToString("c2")
                </p>
            </blockquote>
        </div>
        <div class="col-md-4 col-xs-6 animation-scale-up">
            <blockquote class="blockquote blockquote-success">
                <p class="reports">
                    Ventas por telefono | Cant: @Model.ClosedOrdersMobile
                </p>
                <p>
                    @Model.OrderMobileTotalSales.ToString("c2")
                </p>
            </blockquote>
        </div>
        <div class="col-md-4 col-xs-6 animation-scale-up">
            <blockquote class="blockquote blockquote-success">
                <p class="reports">
                    Ventas confirmadas
                </p>
                <p>
                    @Model.ClosedOrdersTotalSales.ToString("c2")
                </p>
            </blockquote>
        </div>
        <div class="col-md-4 col-xs-6 animation-scale-up">
            <blockquote class="blockquote blockquote-success">
                <p class="reports">
                    Ticket Promedio
                </p>
                <p>
                    @Model.AverageOrderAmount.ToString("c2")
                </p>
            </blockquote>
        </div>
        <div class="col-md-4 col-xs-6 animation-scale-up">
            <blockquote class="blockquote blockquote-info">
                <p class="reports">
                    Cant. Prendas Vendidas
                </p>
                <p>
                    @Model.ClosedOrdersUnitsSold
                </p>
            </blockquote>
        </div>
        <div class="col-md-4 col-xs-6 animation-scale-up">
            <blockquote class="blockquote blockquote-info">
                <p class="reports">
                    Usuarios registrados
                </p>
                <p>
                    @Model.RegisteredUsers
                </p>
            </blockquote>
        </div>
    </div>
</div>

<div class="row">

    <div class="col-xs-12 col-md-6">
        <div class="widget widget-shadow widget-responsive">
            <h3 class="panel-title padding-left-15">Ranking de Clientes</h3>
            <div class="widget-content">
                <div class="padding-top-0 padding-30">
                    <div class="row">
                        <table id="dataTableUsers" class="table table-hover dataTable table-striped width-full">
                            <thead>
                                <tr>
                                    <th>Nombre del usuario</th>
                                    <th class="text-right">Total comprado</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var user in Model.mostSoldUser)
                                {
                                    <tr class="list-group list-group-bordered">
                                        <td>@user.Title</td>
                                        <td class="text-right">@user.Amount.ToString("C2")</td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="col-xs-12 col-md-6">
        <div class="widget widget-shadow">
            <div class="widget-content">
                <h3 class="panel-title padding-left-15">Ranking de Productos</h3>
                <div class="padding-top-0 padding-30">
                    <div class="row">
                        <table id="dataTableProducts" class="table table-hover dataTable table-striped width-full">
                            <thead>
                                <tr>
                                    <th>Nombre del producto</th>
                                    <th class="text-right">Prendas vendidas</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var product in Model.MostSoldProducts)
                                {
                                    <tr class="list-group list-group-bordered">
                                        <td>@product.Title</td>
                                        <td class="text-right">@product.Count</td>

                                    </tr>
                                }
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>

</div>
